cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/sponsors?limit=25"{
"data": [
{
"ad_count": 123,
"episode_reach": 123,
"id": "<string>",
"name": "<string>",
"podcast_reach": 123,
"company": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"slug": "<string>",
"ticker": "<string>"
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Podcast Advertising
List sponsors
Returns a paginated list of podcast advertising sponsors, optionally filtered by name search or company.
GET
/
v1
/
podcasts
/
advertising
/
sponsors
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/sponsors?limit=25"{
"data": [
{
"ad_count": 123,
"episode_reach": 123,
"id": "<string>",
"name": "<string>",
"podcast_reach": 123,
"company": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"slug": "<string>",
"ticker": "<string>"
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Search by name (case-insensitive partial match)
Maximum string length:
200Example:
"Apple"
Filter by company ID, domain, or entity slug
Scope each sponsor's ad_count, podcast_reach, and episode_reach to ads from episodes published on or after this ISO 8601 date or date-time. Does not exclude sponsors with zero activity in the window.
Example:
"2025-01-01T00:00:00Z"
Scope each sponsor's ad_count, podcast_reach, and episode_reach to ads from episodes published before this ISO 8601 date or date-time.
Example:
"2026-01-01T00:00:00Z"
Was this page helpful?